summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/yes.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/misc/yes.sh b/tests/misc/yes.sh
index a3027432b..c8ef65a7f 100755
--- a/tests/misc/yes.sh
+++ b/tests/misc/yes.sh
@@ -19,6 +19,9 @@
. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
print_ver_ yes
+# Check basic operation
+test "$(yes | head -n1)" = 'y' || fail=1
+
# Check various single item sizes, with the most important
# size being BUFSIZ used for the local buffer to yes(1).
# Note a \n is added, so actual sizes required internally